oracle.dbtools.plugin.api.jdbc

## Enum ConnectionNotAvailableReason

- java.lang.Object
- - java.lang.Enum<ConnectionNotAvailableReason>
  - - oracle.dbtools.plugin.api.jdbc.ConnectionNotAvailableReason

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionNotAvailableReason>

      public enum ConnectionNotAvailableReason
      extends Enum<ConnectionNotAvailableReason>

  Categorizes the reason a database connection could not be created
  Author:
    cdivilly

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT_COULD_NOT_ESTABLISH_CONNECTION` The database could not be reached.
    `NOT_AUTHORIZED_OR_NOT_FOUND` The client is not authorized to access the connection, or the connection does not exist
    `SERVER_REJECTED_CONNECTION` The server rejected the connection attempt.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `sqlState()`
    `static ConnectionNotAvailableReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionNotAvailableReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_AUTHORIZED_OR_NOT_FOUND

          public static final ConnectionNotAvailableReason NOT_AUTHORIZED_OR_NOT_FOUND

      The client is not authorized to access the connection, or the connection does not exist

    - #### SERVER_REJECTED_CONNECTION

          public static final ConnectionNotAvailableReason SERVER_REJECTED_CONNECTION

      The server rejected the connection attempt. Possibly because the information used to establish the connection (e.g. TLS certificates etc) is out of date. The caller should ensure they have the latest connection information and re-attempt to create the connection

    - #### CLIENT_COULD_NOT_ESTABLISH_CONNECTION

          public static final ConnectionNotAvailableReason CLIENT_COULD_NOT_ESTABLISH_CONNECTION

      The database could not be reached. Possibly because the connection information is incorrect.

  - ### Method Detail

    - #### values

          public static ConnectionNotAvailableReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionNotAvailableReason c : ConnectionNotAvailableReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionNotAvailableReason valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### sqlState

          public String sqlState()

Copyright © 2010, 2022, Oracle and/or its affiliates.